Bug 23955 - Replace famfamfam icon in OPAC holds template
Summary: Replace famfamfam icon in OPAC holds template
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2019-11-03 22:02 UTC by Owen Leonard
Modified: 2019-11-27 09:26 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23955: Replace famfamfam icon in OPAC holds template (2.80 KB, patch)
2019-11-03 22:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23955: Replace famfamfam icon in OPAC holds template (2.80 KB, patch)
2019-11-03 23:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-11-03 22:02:44 UTC
The OPAC holds template uses a famfamfam icon image to indicate an item which cannot be put on hold when "a specific item" has been selected. This icon can be replaced with an Font Awesome icon.
Comment 1 Owen Leonard 2019-11-03 22:09:35 UTC
Created attachment 94984 [details] [review]
Bug 23955: Replace famfamfam icon in OPAC holds template

This patch modifies the OPAC holds template so that when an item isn't
available for an item-level hold a Font Awesome icon is displayed
instead of a famfamfam image.

To test, apply the patch and regenerate the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Make sure you have items which can be placed on hold at the item
   level.
 - Locate a title with more than one item, at least one of which isn't
   available to be placed on hold (item is marked withdrawn, for
   instance).
 - Start the process of placing a hold on the item.
 - On the "Confirm holds" scren, click "Show more options" and select "A
   specific item."
 - In the table of items, any item which isn't available to be put on
   hold should be inidicated with a red X. The title attribute of the
   icon should show "Cannot be put on hold."
Comment 2 Katrin Fischer 2019-11-03 23:10:56 UTC
Created attachment 94988 [details] [review]
Bug 23955: Replace famfamfam icon in OPAC holds template

This patch modifies the OPAC holds template so that when an item isn't
available for an item-level hold a Font Awesome icon is displayed
instead of a famfamfam image.

To test, apply the patch and regenerate the OPAC CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Make sure you have items which can be placed on hold at the item
   level.
 - Locate a title with more than one item, at least one of which isn't
   available to be placed on hold (item is marked withdrawn, for
   instance).
 - Start the process of placing a hold on the item.
 - On the "Confirm holds" scren, click "Show more options" and select "A
   specific item."
 - In the table of items, any item which isn't available to be put on
   hold should be inidicated with a red X. The title attribute of the
   icon should show "Cannot be put on hold."
Comment 3 Katrin Fischer 2019-11-22 21:37:27 UTC
Tiny change, PQA.
Comment 4 Martin Renvoize 2019-11-27 09:26:27 UTC
Nice work!

Pushed to master for 19.11.00